package com.itant.indicator;

import androidx.fragment.app.Fragment;

import java.util.List;

/**
 * Copyright (C), 2019-2020, Genlot
 *
 * @author 詹子聪
 * @date 2020/6/24 9:15
 * Description: ViewPager的标题栏、指示器控制器
 */
public interface IPagerFuture {
    void setRedCircle(int index);
    void setBlueCircle(int index);

    /**
     * @param fragment 当前Fragment有错误项，指示器为红色
     */
    void setRedCircle(Fragment fragment);
    void setBlueCircle(Fragment fragment);
    void setPagerTitles(List<String> title);
    void setPagerTitle(String title);
}
